kind = "web"
previewPath = "/"
title = "Tx OS"
version = "1.0.0"
id = "artifacts/tx-os"
router = "path"

[[integratedSkills]]
name = "react-vite"
version = "1.0.0"

[[services]]
name = "web"
paths = [ "/" ]
localPort = 25785

[services.development]
run = "pnpm --filter @workspace/tx-os run dev"

[services.production]
build = [ "pnpm", "--filter", "@workspace/tx-os", "run", "build" ]
publicDir = "artifacts/tx-os/dist/public"
serve = "static"

[[services.production.rewrites]]
from = "/*"
to = "/index.html"

[services.env]
PORT = "25785"
BASE_PATH = "/"
